return Def.ActorFrame {


	Def.Sprite {
		Texture = "titlebg 2x4";
		Frame0000=0;
		Delay0000=0.02;
		Frame0001=1;
		Delay0001=0.02;
		Frame0002=2;
		Delay0002=0.02;
		Frame0003=3;
		Delay0003=0.02;
		Frame0004=4;
		Delay0004=0.02;
		Frame0005=5;
		Delay0005=0.02;
		Frame0006=6;
		Delay0006=0.02;
		Frame0007=7;
		Delay0007=0.02;
		
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtoheight,800;zoomtowidth,800;spin;effectmagnitude,0,0,15;);
			};





	Def.Sprite {
		Texture = "titlebg 2x4";
		Frame0000=0;
		Delay0000=0.02;
		Frame0001=1;
		Delay0001=0.02;
		Frame0002=2;
		Delay0002=0.02;
		Frame0003=3;
		Delay0003=0.02;
		Frame0004=4;
		Delay0004=0.02;
		Frame0005=5;
		Delay0005=0.02;
		Frame0006=6;
		Delay0006=0.02;
		Frame0007=7;
		Delay0007=0.02;
		
		OnCommand=cmd(diffusealpha,0;sleep,24;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,1;zoomtoheight,800;zoomtowidth,800;spin;effectmagnitude,0,0,-15;);
			};


	Def.Sprite {
		Texture = "titlebg 2x4";
		Frame0000=0;
		Delay0000=0.02;
		Frame0001=1;
		Delay0001=0.02;
		Frame0002=2;
		Delay0002=0.02;
		Frame0003=3;
		Delay0003=0.02;
		Frame0004=4;
		Delay0004=0.02;
		Frame0005=5;
		Delay0005=0.02;
		Frame0006=6;
		Delay0006=0.02;
		Frame0007=7;
		Delay0007=0.02;
		
		OnCommand=cmd(diffusealpha,0;sleep,72;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,1;zoomtoheight,800;zoomtowidth,800;spin;effectmagnitude,0,0,15;);
			};




	Def.Sprite {
		Texture = "titlebg 2x4";
		Frame0000=0;
		Delay0000=0.02;
		Frame0001=1;
		Delay0001=0.02;
		Frame0002=2;
		Delay0002=0.02;
		Frame0003=3;
		Delay0003=0.02;
		Frame0004=4;
		Delay0004=0.02;
		Frame0005=5;
		Delay0005=0.02;
		Frame0006=6;
		Delay0006=0.02;
		Frame0007=7;
		Delay0007=0.02;
		
		OnCommand=cmd(diffusealpha,0;sleep,96;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,1;zoomtoheight,800;zoomtowidth,800;spin;effectmagnitude,0,0,-15;);
			};



	Def.Sprite {
		Texture = "titlebg 2x4";
		Frame0000=0;
		Delay0000=0.02;
		Frame0001=1;
		Delay0001=0.02;
		Frame0002=2;
		Delay0002=0.02;
		Frame0003=3;
		Delay0003=0.02;
		Frame0004=4;
		Delay0004=0.02;
		Frame0005=5;
		Delay0005=0.02;
		Frame0006=6;
		Delay0006=0.02;
		Frame0007=7;
		Delay0007=0.02;
		
		OnCommand=cmd(diffusealpha,0;sleep,144;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,1;zoomtoheight,800;zoomtowidth,800;spin;effectmagnitude,0,0,15;);
			};




	LoadActor( "scrolltop" ) .. {
		OnCommand = cmd(blend,"BlendMode_Add";x,SCREEN_WIDTH;y,120;zoomy,0.5;zoomx,50;texcoordvelocity,0.50,0;customtexturerect,0,0,40,1;diffusealpha,0.5);
	};

	LoadActor( "scrollbottom" ) .. {
		OnCommand = cmd(blend,"BlendMode_Add";x,SCREEN_WIDTH;y,340;zoomy,0.5;zoomx,13;texcoordvelocity,-0.50,0;customtexturerect,0,0,40,1);
	};

	LoadActor("1p_Sil") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X-180;y,SCREEN_CENTER_Y;zoomy,1.90;zoomx,1.25;blend,"BlendMode_Add")
	};
	
	LoadActor("2p_Sil") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X+160;y,SCREEN_CENTER_Y;zoomy,1.90;zoomx,1.25;blend,"BlendMode_Add")
	};

	
	LoadActor( "logo" ) .. {
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-15;zoom,1.15);
	};
	
	LoadActor("Copyright") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+200;zoomx,1;zoomy,0.75)
	};



	LoadActor( "pay" ) .. {
		OnCommand = cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+140;diffuseshift;effectperiod,1.5;effectcolor1,1,1,1,0;effectcolor2,1,1,1,0.8);
		Condition = GAMESTATE:GetCoinMode() == "CoinMode_Pay";
	};

			


	LoadActor("negro") .. {
		OnCommand=cmd(diffusealpha,1;zoom,10;sleep,0;linear,0.5;diffusealpha,0)
	};



		

	--- to stop people in widescreen viewing offscreen elements
	-- ez2dancer is not a widescreen game
	Def.Quad {
		OnCommand=cmd(stretchto,SCREEN_RIGHT,SCREEN_TOP,99999,SCREEN_BOTTOM;diffuse,color("#000000"));
	};
	
	Def.Quad {
		OnCommand=cmd(stretchto,-99999,SCREEN_TOP,SCREEN_LEFT,SCREEN_BOTTOM;diffuse,color("#000000"));
	};


	Def.Quad {
		OnCommand=cmd(stretchto,-99999,-99999,99999,SCREEN_TOP;diffuse,color("#000000"));
	};
	
	
	Def.Quad {
		OnCommand=cmd(stretchto,-99999,SCREEN_BOTTOM,99999,99999;diffuse,color("#000000"));
	};		
};